From: Adam Cecile <acecile@le-vert.net>
Date: Sat, 16 Mar 2024 11:56:37 +0100
Subject: Disable_unittest_requiring_internet

Origin: vendor
Forwarded: not-needed
Last-Update: 2024-12-28
---
 tests/json_schema/test_draft04.py | 4 ++++
 tests/json_schema/test_draft06.py | 4 ++++
 tests/json_schema/test_draft07.py | 7 +++++++
 3 files changed, 15 insertions(+)

diff --git a/tests/json_schema/test_draft04.py b/tests/json_schema/test_draft04.py
index 6b29fd0..f727e08 100644
--- a/tests/json_schema/test_draft04.py
+++ b/tests/json_schema/test_draft04.py
@@ -31,6 +31,10 @@ def pytest_generate_tests(metafunc):
             # TODO: fix definitions
             'definitions.json',
         ],
+        ignore_tests=[
+            # In ref.json: Require Internet access
+            'remote ref, containing refs itself'
+        ],
     )
     metafunc.parametrize(['schema_version', 'schema', 'data', 'is_valid'], param_values, ids=param_ids)
 
diff --git a/tests/json_schema/test_draft06.py b/tests/json_schema/test_draft06.py
index e9e8d66..8b4d8db 100644
--- a/tests/json_schema/test_draft06.py
+++ b/tests/json_schema/test_draft06.py
@@ -31,6 +31,10 @@ def pytest_generate_tests(metafunc):
             # TODO: fix definitions
             'definitions.json',
         ],
+        ignore_tests=[
+            # In ref.json: Require Internet access
+            'remote ref, containing refs itself'
+        ],
     )
     metafunc.parametrize(['schema_version', 'schema', 'data', 'is_valid'], param_values, ids=param_ids)
 
diff --git a/tests/json_schema/test_draft07.py b/tests/json_schema/test_draft07.py
index dd0aeec..610618f 100644
--- a/tests/json_schema/test_draft07.py
+++ b/tests/json_schema/test_draft07.py
@@ -33,6 +33,13 @@ def pytest_generate_tests(metafunc):
             # TODO: fix ref
             'ref.json',
             'id.json',
+
+            # Require Internet access
+            'definitions.json',
+        ],
+        ignore_tests=[
+            # In ref.json: Require Internet access
+            'remote ref, containing refs itself'
         ],
     )
     metafunc.parametrize(['schema_version', 'schema', 'data', 'is_valid'], param_values, ids=param_ids)
